> For the complete documentation index, see [llms.txt](https://docs.airdev.co/canvas/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.airdev.co/canvas/3.0.0-1/canvas-functionality/reference/reusable-elements/signup-login/emails.md).

# Integrate some to parent

## Sign up flow - set up email verification

There are currently two sign up flows (modifiable by the App admin from the admin portal):&#x20;

* 2-step sign up (no email verification)
* 3-step sign up (with email verification)

### 2-step sign up (no email verification)

![Step 1 - Sign up with email and password](/files/-Ls3bbC6pKOVwT5bwJBT)

![Step 2 - Add profile details](/files/-Ls3bojI1K-EcH87VQ1H)

### 3-step sign up (email verification)

![Step 1 - Sign up with email and password](/files/-Ls3bbC6pKOVwT5bwJBT)

![Step 2 - Add profile details](/files/-Ls3bojI1K-EcH87VQ1H)

![Step 3 - The user will need to click the link in the email to verify their email address](/files/-Ls3dZPJ4R9Vgs0gDpaN)

![Users need to click "verify email"](/files/-Ls3dpSXiX1FvNuROvbC)

Once the user clicks on the link in the email, they will be redirected to the [verify](broken://pages/-LrywhsL6-5FAq7ymY-3) page. If the email verification token is valid, the user will see the following:

![](/files/-Ls3eXeI3xkMCFLTWFNq)

If the email verification token is invalid (e.g., the user has already verified his email or the verification link has expired after 24 hours), then the user will see the following:

![](/files/-Ls3eo1RkqVN-tE6uLWX)

### Additional UI components you can show in the sign up group

* Social media buttons
  * Check the box for *this element is visible on page load* for `Group other buttons (sign up)` and show the social media button group you want to use.
  * Add a workflow action that authenticates with the social media site you'd like to use.
  * Set up the API keys in the relevant plugin (Facebook, LinkedIn, Gmail, Spotify, etc.). If you don't know how to do this, refer to the Plugins section of our Bubble Development Guide.

![](/files/-Ls3fyMDEldDJfX8iA5-)

![](/files/-Ls3g4YHn-W9qW9b39tl)

![](/files/-Lu-Qs5g42e68ANu5Nft)

![Choose a Facebook plugin to use.](/files/-Lu-QywDMRfGf61oW3Vt)

![Press "Enter your API key" to be taken to the view below (in the Plugins tab).](/files/-Lu-R100QkeveipX8CFU)

![Set up Facebook API - this is found in the Plugins tab of the Bubble editor.](/files/-Lu-RCUjTgIkT0gy3J3J)

* User type toggle
  * Check the box for *this element is visible on page load* for `Group User type (sign up)`&#x20;
  * Please remember to change the data source (text) for `Group user type 1` and `Group user type 2`

![](/files/-Ls3hBQBfCw8TQGR00JE)

![](/files/-Ls3gpVvFq9Go70WfrNm)

* Profile picture and other inputs
  * Check the box for *this element is visible on page load* for `Group profile pic (sign up)` and `unhide Group additional fields (sign up)`&#x20;

![](/files/-Ls3h7HS1PmJpkPJojPw)

![](/files/-Ls3hio36sjEa0ymIoFH)

To add additional inputs to the sign up flow, simply resize `Group Signup DEADSPACE 2/3/or 4` and add your inputs in the space created.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.airdev.co/canvas/3.0.0-1/canvas-functionality/reference/reusable-elements/signup-login/emails.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
